VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsCustom fields

Create Custom field

Create a new Custom field.

POST
/customFields

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

vayuEntity*CustomFieldEntities

The Vayu entity this field applies to

vayuCustomFieldName*string

The name of the custom field in Vayu

valueType*CustomFieldValueTypes

The type of the value: "String", "Number", or "Boolean"

integrationSource?string

The integration provider (e.g., "Salesforce", "HubSpot")

integrationEntityType?string
fieldPath?string

The path to the field in the integration

allowedValues?array<string>

Allowed values for Enum type fields

defaultValue?string

Default value for Enum type fields. Must be one of allowedValues.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customFields" \  -H "Content-Type: application/json" \  -d '{    "vayuEntity": "Customer",    "vayuCustomFieldName": "string",    "valueType": "String"  }'
{  "customField": {    "vayuEntity": "Customer",    "vayuCustomFieldName": "string",    "valueType": "String",    "integrationSource": "NetSuite",    "integrationEntityType": "Account",    "fieldPath": "string",    "allowedValues": [      "string"    ],    "defaultValue": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}